#include "Python.h"
#include "squale-gil.h"

SqualeResult *
squale_run_query_with_gil (const char *connection_name,
                           const char *query,
		           const char *socket_name,
		           int s_timeout)
{
    PyThreadState *_save = NULL;
    SqualeResult* res = NULL;
    
    _save = PyEval_SaveThread();
    res = squale_run_query(connection_name, query, socket_name, s_timeout);
    if (_save != NULL) {
        PyEval_RestoreThread(_save);
    }
    return res;
}
